Bug 1255355 - [QE] Login Module Reference Guide does not reflect ignored options from parents
[QE] Login Module Reference Guide does not reflect ignored options from parents
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: post-GA
: ---
Assigned To: Zach Rhoads
Ondrej Lukas
Depends On:
Blocks: 1233012
  Show dependency treegraph
Reported: 2015-08-20 07:16 EDT by Ondrej Lukas
Modified: 2018-01-15 07:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-20 09:00:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2015-08-20 07:16:42 EDT
Book: Login Module Reference
Revision: n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6805721

Login Module Reference Guide contains structure which reflects inheritance of login modules. All options which are inherited from parent module are described in parent module and its descendant login modules inherit them. 

However some login modules do not use all of options defined in their parents. It is caused by overriding of some methods from parent etc. These "unsupported parent options" should be documented since it can be confusing for customers.

LdapLoginModule has parent UsernamePasswordLoginModule. UsernamePasswordLoginModule includes option ignorePasswordCase. Internally it uses this option in validatePassword method. However LdapLoginModule overrides validatePassword method and does not use ignorePasswordCase option there. For that reason option ignorePasswordCase is not taken into account for LdapLoginModule but the documentation would suggest otherwise.

@Boleslaw: Can you please provide the list of "unsupported parent options" for each login module. Then it can be documented (and eventually a new issues can be reported).
Comment 5 Ondrej Lukas 2015-10-07 09:38:45 EDT
Verified in revision "n_1625523_login-module-reference_version_6.4_edition_1.0_release_0-revision_7260631" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference/

Note You need to log in before you can comment on or make changes to this bug.